Page MenuHomePhabricator

Create a test server for show changes in moved paragraphs on mobile
Closed, ResolvedPublic5 Story Points

Description

Server was setup at http://reading-web-staging.wmflabs.org/wiki/Special:MobileDiff/9 by updating the vagrant image and enabling the mobile diff. The steps below are kind of invalid now:

* [] Create a server that has the current wikidiff2 library deployed. to use WMF's Readers-Web-Backlog team can see and use the most current code base. Readers-Web-Backlog should then be able to use this server as their test server, making all the changes to it that they need.
** This should be a virtual machine with the same setup we have on our test servers
* [] Add the mobile frontend extension
* [] Add the mobile skin
* [] Add necessary configuration that's needed for testing the new mobile diff behavior
* [] Give access to all people that have access to the test server as described in T187801: Set up test server that fakes backend moved paragraph changes
* [] Remove the test server on toollabs, which was created in T187801: Set up test server that fakes backend moved paragraph changes

Event Timeline

Lea_WMDE triaged this task as Normal priority.May 23 2018, 12:54 PM
Lea_WMDE created this task.
Lea_WMDE renamed this task from Update Web team's test server for show changes in moved paragraphs on mobile to Create a test server for show changes in moved paragraphs on mobile.May 23 2018, 1:33 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.
Prtksxna updated the task description. (Show Details)May 29 2018, 4:30 AM
Prtksxna updated the task description. (Show Details)
Tobi_WMDE_SW updated the task description. (Show Details)Jun 5 2018, 12:53 PM
pmiazga added a subscriber: pmiazga.Jun 5 2018, 4:12 PM

Hi @Lea_WMDE! It was great to meet you and the team at the Hackathon. I'm sorry but we weren't sure whether this is a task that WMDE plans to work on or something that Readers Web should pick up. I think it's the former but please let us know!

Hi @Niedzielski it was great to meet you, too! So we are currently in the final stages of the small beta deploy of our other project Move-Files-To-Commons , which is why this is not going as fast as we hoped. If you want to do it, feel free to do so! If not, it is also in the current sprint, so it should be picked up by the team here as well. But if you have time to start it (or do it as a whole), this is of course also appreciated :) (and sorry for the delay in answering, I was out for a week and am still catching up)

Thanks @Lea_WMDE! I'll pass this over to @ovasileva for planning!

Whoever picks this up first, please notify the others here so we're not doing the work twice! @ovasileva @Niedzielski @WMDE-Fisch @thiemowmde @jkroll

Hi @Lea_WMDE - if it's in your sprint currently my guess is that you'll probably get to it before we do, but we will note here if we do end up picking it up first as well.

Hey there! I'm just catching up and a bit confused by this task. From my inbox, it seems like we've deployed this on desktop as moved paragraphs are shown on desktop:
e.g. https://en.wikipedia.org/w/index.php?title=User%3AJdlrobson%2Fdraft&type=revision&diff=845720564&oldid=845720543 - but I dont see any classes in the mobile view to allow us to begin styling this.

Add necessary configuration that's needed for testing the new mobile diff behavior

I assume this is why? What is the configuration for this, so I can play around with it locally? Is there any documentation on wiki about this?

https://wmde-wikidiff2-patched.wmflabs.org/core/index.php/Special:MobileDiff/55?useskin=minerva exists, but I'm not seeing the class there either. Is the plan to use this test server or another? Do we even need a test server? How complicated is the setup? Are there any instructions anywhere for getting this running locally?

daniel removed a subscriber: daniel.Jun 13 2018, 6:01 PM

Hi @Jdlrobson! The moved-lines functionality for mobile output in wikidiff2 is disabled by an ini variable. That's why you don't see any classes in the mobile output. It can be enabled by ini_set'ing wikidiff2.moved_paragraph_detection_cutoff_mobile to some positive integer, eg 30. A mobile diff with a moved paragraph will then look like this: https://wmde-wikidiff2-mobile.wmflabs.org/core/index.php/Special:MobileDiff/1455 -- it shows something was moved, but there's no proper styling yet.

So WMDE are setting up a test instance with this setting enabled. The foundation can then work on the mobile styling there.

Does that answer your questions?

jkroll claimed this task.Jun 14 2018, 12:26 PM
jkroll moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-06-05 board.

Sort of! For testing/development I expect we'll need to be able to replicate this in Vagrant or locally so some instructions explaining how you do that would be very useful! I was kinda hoping it would just be a flag we could set in LocalSettings.php but it sounds like php.ini or some other change? Is there a wiki page explaining how to turn on moved-line functionality on both desktop and mobile locally?

Both: we can set this flag via ini_set() in LocalSettings.php. ;-) Explanations should be in the README: https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/php/wikidiff2/+/refs/heads/master/README. Please tell us if this is not enough, we are happy to update it.

Something seems to be missing in the README. After configuration, I'm seeing the move in desktop (http://reading-web-staging.wmflabs.org/w/index.php?title=Move_diff&type=revision&diff=141&oldid=140) but not on the mobile equivalent.

Here's my LocalSettings.

ini_set("wikidiff2.moved_line_threshold", 0.5);
ini_set("wikidiff2.change_threshold", 0.2);

$wgWikiDiff2MovedParagraphDetectionCutoff = 30;
ini_set("wikidiff2.moved_paragraph_detection_cutoff_mobile", 30);
Jdlrobson added a subscriber: MaxSem.EditedJun 14 2018, 11:32 PM

Thanks to @MaxSem it seems I'm running an old version of wikidiff2 (maybe Vagrant is bundled with an outdated one?) Our instance is using Jessie and hhvm.
How can I upgrade it?

Jdlrobson closed this task as Resolved.Jun 15 2018, 7:56 PM

Okay, I reinstalled Vagrant but this is now working:
http://reading-web-staging.wmflabs.org/wiki/Special:MobileDiff/9
THanks all!
I have everything I need and have setup T197491 to get the reading web team to style the mobile diff.

WMDE-Fisch updated the task description. (Show Details)Jun 18 2018, 8:27 AM
WMDE-Fisch moved this task from Doing to Done on the WMDE-QWERTY-Sprint-2018-06-05 board.
Vvjjkkii renamed this task from Create a test server for show changes in moved paragraphs on mobile to cgcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed jkroll as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from cgcaaaaaaa to Create a test server for show changes in moved paragraphs on mobile.Jul 2 2018, 4:40 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to jkroll.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 5.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.